Bug 217414 - Update Firefox+Pango to fix problem with boxes being printed
Update Firefox+Pango to fix problem with boxes being printed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n
Depends On: 217413
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 15:22 EST by Behdad Esfahbod
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 06:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
200D-200C-firefox .txt file (155 bytes, text/plain)
2006-12-20 06:23 EST, Satyabrata Maitra
no flags Details

  None (edit)
Description Behdad Esfahbod 2006-11-27 15:22:23 EST
+++ This bug was initially created as a clone of Bug #217413 +++

I've updated my Firefox+Pango patch to fix a bunch of problems, including one
that boxes are printed instead of zero-width chars.  The latest version of patch
is attached upstream here:

  https://bugzilla.mozilla.org/show_bug.cgi?id=357733

It replaces the current firefox-pango-printing patch.

I may attach another version upstream with minor positioning fixes, but for now,
the one available there is ready to go.
Comment 1 RHEL Product and Program Management 2006-11-27 21:02:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Lawrence Lim 2006-12-10 04:55:39 EST
Please refer to Release Criteria Secion 8.F.4

8.I18N-> F.Firefox-> 4.Printing of Indic characters and other supported locale

<http://intranet.corp.redhat.com/ic/intranet/RHEL500ReleaseCriteria#i18n>
Comment 3 Matthias Clasen 2006-12-13 11:35:40 EST
Chris, can we get this built soon ? Tomorrow around noon is the cutoff date for
snapshot 4.
Comment 4 Christopher Aillon 2006-12-14 11:50:33 EST
Fixed in 1.5.0.8-2.el5
Comment 5 Satyabrata Maitra 2006-12-20 05:23:30 EST
Tested this bug. The problem has been fixed in the following version in firefox.
ZWJ-200D or ZWNJ-200C when combine with other composed char, and if take print
it opening the file in firefox -- the tested version, its does not pring square
boxes  where 200D or 200C used in the file. 

Component Version Tested :
firefox-1.5.0.8-2.el5

Package available on Tree :
http://porkchop.redhat.com/nightly/RHEL5-Client-20061218.nightly/tree-i386/Client/

So, Resolving this bug for now.

Additional Info : A .txt file with combinations using 200D and  200C is attached
thus anyone can check it with previous versions of the fixed version to
reproduce the bug. This .txt file is to be open in firefox and print to
reproduce the prob, if firefox version is older than firefox-1.5.0.8-2.el5.
Comment 6 Satyabrata Maitra 2006-12-20 06:23:13 EST
Created attachment 144090 [details]
200D-200C-firefox .txt file

Note You need to log in before you can comment on or make changes to this bug.